%global base_name    plasma-vault

Name:    plasma-vault
Summary: Plasma Vault offers strong encryption features in a user-friendly way
Version: 5.27.10
Release:    1%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/plasma/%{base_name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/plasma/%{version}/%{base_name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5SysGuard)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5NetworkManagerQt)

BuildRequires:  cmake(Qt5Quick)

Recommends: cryfs
Recommends: fuse-encfs
Recommends: gocryptfs

%description
Plasma Vault allows to lock and encrypt sets of documents and hide them from
prying eyes even when the user is logged in.


%prep
%autosetup -n %{base_name}-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name


%files -f %{name}.lang
%license LICENSES/*
%{_kf5_plugindir}/kded/plasmavault.so
%dir %{_qt5_plugindir}/plasma/applets/
%{_qt5_plugindir}/plasma/applets/plasma_applet_vault.so
%{_qt5_plugindir}/kf5/kfileitemaction/plasmavaultfileitemaction.so
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.vault/
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.plasma.vault.desktop
%{_kf5_metainfodir}/org.kde.plasma.vault.appdata.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
